Skip to main content
GET
/
user
/
campaigns
List campaigns
curl --request GET \
  --url https://app.botrep.ai/api/user/campaigns \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.botrep.ai/api/user/campaigns"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.botrep.ai/api/user/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 1,
    "name": "Test campaing",
    "status": "draft",
    "max_calls_in_parallel": 3,
    "mark_complete_when_no_leads": true,
    "allowed_hours_start_time": "00:00:00",
    "allowed_hours_end_time": "23:59:00",
    "allowed_days": [
      "monday",
      "tuesday",
      "wednesday",
      "thursday",
      "friday",
      "saturday",
      "sunday"
    ],
    "max_retries": 3,
    "retry_interval": 60,
    "created_at": "2025-05-29T07:18:34.000000Z",
    "updated_at": "2025-05-29T07:18:34.000000Z"
  }
]
This endpoint allows you to list all campaigns.

Response fields

campaigns
array
[
  {
    "id": 1,
    "name": "Test campaing",
    "status": "draft",
    "max_calls_in_parallel": 3,
    "mark_complete_when_no_leads": true,
    "allowed_hours_start_time": "00:00:00",
    "allowed_hours_end_time": "23:59:00",
    "allowed_days": [
      "monday",
      "tuesday",
      "wednesday",
      "thursday",
      "friday",
      "saturday",
      "sunday"
    ],
    "max_retries": 3,
    "retry_interval": 60,
    "created_at": "2025-05-29T07:18:34.000000Z",
    "updated_at": "2025-05-29T07:18:34.000000Z"
  }
]